Bug 82023 - AX: Support solution to handle invalid ax text marker
Summary: AX: Support solution to handle invalid ax text marker
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: chris fleizach
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-22 23:28 PDT by chris fleizach
Modified: 2012-03-24 21:03 PDT (History)
2 users (show)

See Also:


Attachments
patch for footer role (21.36 KB, patch)
2012-03-23 00:30 PDT, chris fleizach
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chris fleizach 2012-03-22 23:28:14 PDT
Due to the fact that web TextMarkers can dynamically go away when document nodes changes, VoiceOver is unable to cache those AXTextMarkers for various comparison purposes.

We should add the ability to:
    Ability to convert a given TextMarker to a NSInteger index and vice versa, from a NSInteger index back to a AXTextMarkerRef
    Ability to determine if a given TextMarker is valid
Comment 1 chris fleizach 2012-03-23 00:30:57 PDT
Created attachment 133439 [details]
patch for footer role
Comment 2 Oliver Hunt 2012-03-24 11:58:11 PDT
Comment on attachment 133439 [details]
patch for footer role

Yay so much test-fu!
Comment 3 WebKit Review Bot 2012-03-24 21:03:21 PDT
Comment on attachment 133439 [details]
patch for footer role

Clearing flags on attachment: 133439

Committed r112021: <http://trac.webkit.org/changeset/112021>
Comment 4 WebKit Review Bot 2012-03-24 21:03:25 PDT
All reviewed patches have been landed.  Closing bug.